org.eclipse.jetty.server.handler

## Class ContextHandler.Context

- java.lang.Object
- - org.eclipse.jetty.server.handler.ContextHandler.Context

- All Implemented Interfaces:
    javax.servlet.ServletContext
  Direct Known Subclasses:
    ServletContextHandler.Context
  Enclosing class:
    ContextHandler

      public class ContextHandler.Context
      extends Object
      implements javax.servlet.ServletContext

  Context.

  A partial implementation of `ServletContext`. A complete implementation is provided by the derived `ContextHandler`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_enabled`
    `protected int` | `_majorVersion`
    `protected int` | `_minorVersion`

    - ### Fields inherited from interface javax.servlet.ServletContext

      `ORDERED_LIBS, TEMPDIR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContextHandler.Context()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.servlet.FilterRegistration.Dynamic` | `addFilter(String filterName, Class<? extends javax.servlet.Filter> filterClass)`
    `javax.servlet.FilterRegistration.Dynamic` | `addFilter(String filterName, javax.servlet.Filter filter)`
    `javax.servlet.FilterRegistration.Dynamic` | `addFilter(String filterName, String className)`
    `void` | `addListener(Class<? extends EventListener> listenerClass)`
    `void` | `addListener(String className)`
    `<T extends EventListener> void` | `addListener(T t)`
    `javax.servlet.ServletRegistration.Dynamic` | `addServlet(String servletName, Class<? extends javax.servlet.Servlet> servletClass)`
    `javax.servlet.ServletRegistration.Dynamic` | `addServlet(String servletName, javax.servlet.Servlet servlet)`
    `javax.servlet.ServletRegistration.Dynamic` | `addServlet(String servletName, String className)`
    `<T extends javax.servlet.Filter> T` | `createFilter(Class<T> c)`
    `<T extends EventListener> T` | `createListener(Class<T> clazz)`
    `<T extends javax.servlet.Servlet> T` | `createServlet(Class<T> c)`
    `void` | `declareRoles(String... roleNames)`
    `Object` | `getAttribute(String name)`
    `Enumeration` | `getAttributeNames()`
    `ClassLoader` | `getClassLoader()`
    `javax.servlet.ServletContext` | `getContext(String uripath)`
    `ContextHandler` | `getContextHandler()`
    `String` | `getContextPath()`
    `Set<javax.servlet.SessionTrackingMode>` | `getDefaultSessionTrackingModes()`
    `int` | `getEffectiveMajorVersion()`
    `int` | `getEffectiveMinorVersion()`
    `Set<javax.servlet.SessionTrackingMode>` | `getEffectiveSessionTrackingModes()`
    `javax.servlet.FilterRegistration` | `getFilterRegistration(String filterName)`
    `Map<String,? extends javax.servlet.FilterRegistration>` | `getFilterRegistrations()`
    `String` | `getInitParameter(String name)`
    `Enumeration` | `getInitParameterNames()`
    `javax.servlet.descriptor.JspConfigDescriptor` | `getJspConfigDescriptor()`
    `int` | `getMajorVersion()`
    `String` | `getMimeType(String file)`
    `int` | `getMinorVersion()`
    `javax.servlet.RequestDispatcher` | `getNamedDispatcher(String name)`
    `String` | `getRealPath(String path)`
    `javax.servlet.RequestDispatcher` | `getRequestDispatcher(String uriInContext)`
    `URL` | `getResource(String path)`
    `InputStream` | `getResourceAsStream(String path)`
    `Set` | `getResourcePaths(String path)`
    `String` | `getServerInfo()`
    `javax.servlet.Servlet` | `getServlet(String name)` Deprecated.
    `String` | `getServletContextName()`
    `Enumeration` | `getServletNames()` Deprecated.
    `javax.servlet.ServletRegistration` | `getServletRegistration(String servletName)`
    `Map<String,? extends javax.servlet.ServletRegistration>` | `getServletRegistrations()`
    `Enumeration` | `getServlets()` Deprecated.
    `javax.servlet.SessionCookieConfig` | `getSessionCookieConfig()`
    `boolean` | `isEnabled()`
    `void` | `log(Exception exception, String msg)`
    `void` | `log(String msg)`
    `void` | `log(String message, Throwable throwable)`
    `void` | `removeAttribute(String name)`
    `void` | `setAttribute(String name, Object value)`
    `void` | `setEffectiveMajorVersion(int v)`
    `void` | `setEffectiveMinorVersion(int v)`
    `void` | `setEnabled(boolean enabled)`
    `boolean` | `setInitParameter(String name, String value)`
    `void` | `setJspConfigDescriptor(javax.servlet.descriptor.JspConfigDescriptor d)`
    `void` | `setSessionTrackingModes(Set<javax.servlet.SessionTrackingMode> sessionTrackingModes)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _majorVersion

          protected int _majorVersion

    - #### _minorVersion

          protected int _minorVersion

    - #### _enabled

          protected boolean _enabled

  - ### Constructor Detail

    - #### ContextHandler.Context

          protected ContextHandler.Context()

  - ### Method Detail

    - #### getContextHandler

          public ContextHandler getContextHandler()

    - #### getContext

          public javax.servlet.ServletContext getContext(String uripath)

      Specified by:
        `getContext` in interface `javax.servlet.ServletContext`

    - #### getMajorVersion

          public int getMajorVersion()

      Specified by:
        `getMajorVersion` in interface `javax.servlet.ServletContext`

    - #### getMimeType

          public String getMimeType(String file)

      Specified by:
        `getMimeType` in interface `javax.servlet.ServletContext`

    - #### getMinorVersion

          public int getMinorVersion()

      Specified by:
        `getMinorVersion` in interface `javax.servlet.ServletContext`

    - #### getNamedDispatcher

          public javax.servlet.RequestDispatcher getNamedDispatcher(String name)

      Specified by:
        `getNamedDispatcher` in interface `javax.servlet.ServletContext`

    - #### getRequestDispatcher

          public javax.servlet.RequestDispatcher getRequestDispatcher(String uriInContext)

      Specified by:
        `getRequestDispatcher` in interface `javax.servlet.ServletContext`

    - #### getRealPath

          public String getRealPath(String path)

      Specified by:
        `getRealPath` in interface `javax.servlet.ServletContext`

    - #### getResource

          public URL getResource(String path)
                          throws MalformedURLException

      Specified by:
        `getResource` in interface `javax.servlet.ServletContext`
      Throws:
        `MalformedURLException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String path)

      Specified by:
        `getResourceAsStream` in interface `javax.servlet.ServletContext`

    - #### getResourcePaths

          public Set getResourcePaths(String path)

      Specified by:
        `getResourcePaths` in interface `javax.servlet.ServletContext`

    - #### getServerInfo

          public String getServerInfo()

      Specified by:
        `getServerInfo` in interface `javax.servlet.ServletContext`

    - #### getServlet

          @Deprecated
          public javax.servlet.Servlet getServlet(String name)
                                           throws javax.servlet.ServletException

      Deprecated.
      Specified by:
        `getServlet` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### getServletNames

          @Deprecated
          public Enumeration getServletNames()

      Deprecated.
      Specified by:
        `getServletNames` in interface `javax.servlet.ServletContext`

    - #### getServlets

          @Deprecated
          public Enumeration getServlets()

      Deprecated.
      Specified by:
        `getServlets` in interface `javax.servlet.ServletContext`

    - #### log

          public void log(Exception exception,
                 String msg)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### log

          public void log(String msg)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### log

          public void log(String message,
                 Throwable throwable)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### getInitParameter

          public String getInitParameter(String name)

      Specified by:
        `getInitParameter` in interface `javax.servlet.ServletContext`

    - #### getInitParameterNames

          public Enumeration getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `javax.servlet.ServletContext`

    - #### getAttribute

          public Object getAttribute(String name)

      Specified by:
        `getAttribute` in interface `javax.servlet.ServletContext`

    - #### getAttributeNames

          public Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.ServletContext`

    - #### setAttribute

          public void setAttribute(String name,
                          Object value)

      Specified by:
        `setAttribute` in interface `javax.servlet.ServletContext`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `javax.servlet.ServletContext`

    - #### getServletContextName

          public String getServletContextName()

      Specified by:
        `getServletContextName` in interface `javax.servlet.ServletContext`

    - #### getContextPath

          public String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.ServletContext`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setInitParameter

          public boolean setInitParameter(String name,
                                 String value)

      Specified by:
        `setInitParameter` in interface `javax.servlet.ServletContext`

    - #### addFilter

          public javax.servlet.FilterRegistration.Dynamic addFilter(String filterName,
                                                           Class<? extends javax.servlet.Filter> filterClass)

      Specified by:
        `addFilter` in interface `javax.servlet.ServletContext`

    - #### addFilter

          public javax.servlet.FilterRegistration.Dynamic addFilter(String filterName,
                                                           javax.servlet.Filter filter)

      Specified by:
        `addFilter` in interface `javax.servlet.ServletContext`

    - #### addFilter

          public javax.servlet.FilterRegistration.Dynamic addFilter(String filterName,
                                                           String className)

      Specified by:
        `addFilter` in interface `javax.servlet.ServletContext`

    - #### addServlet

          public javax.servlet.ServletRegistration.Dynamic addServlet(String servletName,
                                                             Class<? extends javax.servlet.Servlet> servletClass)

      Specified by:
        `addServlet` in interface `javax.servlet.ServletContext`

    - #### addServlet

          public javax.servlet.ServletRegistration.Dynamic addServlet(String servletName,
                                                             javax.servlet.Servlet servlet)

      Specified by:
        `addServlet` in interface `javax.servlet.ServletContext`

    - #### addServlet

          public javax.servlet.ServletRegistration.Dynamic addServlet(String servletName,
                                                             String className)

      Specified by:
        `addServlet` in interface `javax.servlet.ServletContext`

    - #### createFilter

          public <T extends javax.servlet.Filter> T createFilter(Class<T> c)
                                                      throws javax.servlet.ServletException

      Specified by:
        `createFilter` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### createServlet

          public <T extends javax.servlet.Servlet> T createServlet(Class<T> c)
                                                        throws javax.servlet.ServletException

      Specified by:
        `createServlet` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### getDefaultSessionTrackingModes

          public Set<javax.servlet.SessionTrackingMode> getDefaultSessionTrackingModes()

      Specified by:
        `getDefaultSessionTrackingModes` in interface `javax.servlet.ServletContext`

    - #### getEffectiveSessionTrackingModes

          public Set<javax.servlet.SessionTrackingMode> getEffectiveSessionTrackingModes()

      Specified by:
        `getEffectiveSessionTrackingModes` in interface `javax.servlet.ServletContext`

    - #### getFilterRegistration

          public javax.servlet.FilterRegistration getFilterRegistration(String filterName)

      Specified by:
        `getFilterRegistration` in interface `javax.servlet.ServletContext`

    - #### getFilterRegistrations

          public Map<String,? extends javax.servlet.FilterRegistration> getFilterRegistrations()

      Specified by:
        `getFilterRegistrations` in interface `javax.servlet.ServletContext`

    - #### getServletRegistration

          public javax.servlet.ServletRegistration getServletRegistration(String servletName)

      Specified by:
        `getServletRegistration` in interface `javax.servlet.ServletContext`

    - #### getServletRegistrations

          public Map<String,? extends javax.servlet.ServletRegistration> getServletRegistrations()

      Specified by:
        `getServletRegistrations` in interface `javax.servlet.ServletContext`

    - #### getSessionCookieConfig

          public javax.servlet.SessionCookieConfig getSessionCookieConfig()

      Specified by:
        `getSessionCookieConfig` in interface `javax.servlet.ServletContext`

    - #### setSessionTrackingModes

          public void setSessionTrackingModes(Set<javax.servlet.SessionTrackingMode> sessionTrackingModes)

      Specified by:
        `setSessionTrackingModes` in interface `javax.servlet.ServletContext`

    - #### addListener

          public void addListener(String className)

      Specified by:
        `addListener` in interface `javax.servlet.ServletContext`

    - #### addListener

          public <T extends EventListener> void addListener(T t)

      Specified by:
        `addListener` in interface `javax.servlet.ServletContext`

    - #### addListener

          public void addListener(Class<? extends EventListener> listenerClass)

      Specified by:
        `addListener` in interface `javax.servlet.ServletContext`

    - #### createListener

          public <T extends EventListener> T createListener(Class<T> clazz)
                                                 throws javax.servlet.ServletException

      Specified by:
        `createListener` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### getClassLoader

          public ClassLoader getClassLoader()

      Specified by:
        `getClassLoader` in interface `javax.servlet.ServletContext`

    - #### getEffectiveMajorVersion

          public int getEffectiveMajorVersion()

      Specified by:
        `getEffectiveMajorVersion` in interface `javax.servlet.ServletContext`

    - #### getEffectiveMinorVersion

          public int getEffectiveMinorVersion()

      Specified by:
        `getEffectiveMinorVersion` in interface `javax.servlet.ServletContext`

    - #### setEffectiveMajorVersion

          public void setEffectiveMajorVersion(int v)

    - #### setEffectiveMinorVersion

          public void setEffectiveMinorVersion(int v)

    - #### getJspConfigDescriptor

          public javax.servlet.descriptor.JspConfigDescriptor getJspConfigDescriptor()

      Specified by:
        `getJspConfigDescriptor` in interface `javax.servlet.ServletContext`

    - #### setJspConfigDescriptor

          public void setJspConfigDescriptor(javax.servlet.descriptor.JspConfigDescriptor d)

    - #### declareRoles

          public void declareRoles(String... roleNames)

      Specified by:
        `declareRoles` in interface `javax.servlet.ServletContext`

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isEnabled

          public boolean isEnabled()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.